// App
// -----------------------------------------------------------------------------
import { TypeAssetManufacturer } from 'types/default';
import { GenericDataStore } from './GenericDataStore';
import { environment } from 'enviroments/enviroments';

export class AssetsManufacturersStore extends GenericDataStore<TypeAssetManufacturer> {
  constructor() {
    super(environment.endPoints.assets.manufacturer);
    this.override();
  }

  getId = (entity: TypeAssetManufacturer): number => entity.id;

  getName = (entity: TypeAssetManufacturer): string => entity.name;
}
